| Home | Libraries | People | FAQ | More

#### websocket::stream_base

This class is used as a base for the `websocket::stream` class template to group common types and constants.

##### Synopsis

Defined in header `<boost/beast/websocket/stream_base.hpp>`

    struct stream_base

##### Types

Name | Description
--- | ---
decorator | Stream option used to adjust HTTP fields of WebSocket upgrade request and responses.
timeout | Stream option to control the behavior of websocket timeouts.
duration | The type used to represent durations.
time_point | The type used to represent time points.

##### Member Functions

Name | Description
--- | ---
never | Returns the special time_point value meaning "never".
none | Returns the special duration value meaning "none".

##### Description

Convenience header `<boost/beast/websocket.hpp>`